// DlgChipSelect.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "DlgChipSelect.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCDlgChipSelect _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCDlgChipSelect::CFCDlgChipSelect
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	
 *
 * <_xZkqqHx_iIpIjAjE_xHqqkZx_>	
 *
 * <_xZkqqHx_jFnEjCgM_xHqqkZx_>	
 *
 * <_xZkqqHx_iPnKiNnH_xHqqkZx_>	
 *
 * <_xZkqqHx_jCiNiInD_xHqqkZx_>	
 *
 * <_xZkqqHx_iJpAjAoA_xHqqkZx_>	
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	03.06.24 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
CFCDlgChipSelect::CFCDlgChipSelect (CWnd* pParent /*=NULL*/)
	: BASE_CLASS(CFCDlgChipSelect::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFCDlgChipSelect)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_jFmPjAjEiPiJiKpKiJlLiBeC_xHqqkZx_
	InitVariable();

//----- 06.10.31 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
	// _xZkqqHx_iDgAiDgCiDhGiDePiDiLiBfLiDhG_xHqqkZx_ID_xZkqqHx_iCmMiPiJiKpKjCgMiCpAiPiJiKpKiJlLiBeC_xHqqkZx_
	m_cgidInitGroupId = FD_CHIP_GROUP_UNSPECIFY;
	// _xZkqqHx_iDgAiDgCiDhGiCpAiOkJjDkOiCmFjDfMiCoIjFhEiCkPiCoJiCkJiBeI_xHqqkZx_
	m_bIsAutoPasteChip = FALSE;
//----- 06.10.31 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----
} // CFCDlgChipSelect::CFCDlgChipSelect.

void CFCDlgChipSelect::DoDataExchange (CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCDlgChipSelect)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_MAP
} // CFCDlgChipSelect::DoDataExchange.

BEGIN_MESSAGE_MAP(CFCDlgChipSelect, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCDlgChipSelect)
	ON_WM_DESTROY()
	ON_WM_SHOWWINDOW()
	ON_BN_CLICKED(IDC_CPS_BTN_CHIP_ADD, OnCpsBtnChipAdd)
	ON_BN_CLICKED(IDC_CPS_BTN_CHIP_DELETE, OnCpsBtnChipDelete)
	ON_BN_CLICKED(IDC_CPS_BTN_CHIP_MODIFY, OnCpsBtnChipModify)
	ON_BN_CLICKED(IDC_CPS_BTN_CHIP_MODIFY_2, OnCpsBtnChipModify2)
	ON_CBN_SELCHANGE(IDC_CPS_CMB_CHIP_GROUP, OnSelchangeCpsCmbChipGroup)
	ON_BN_CLICKED(IDC_CPS_BTN_IMPORT_ON, OnCpsBtnImportOn)
	ON_BN_CLICKED(IDC_CPS_BTN_FILE_IMPORT, OnCpsBtnFileImport)
	ON_CBN_SELCHANGE(IDC_CPS_CMB_CHIP_GROUP_IMPORT, OnSelchangeCpsCmbChipGroupImport)
	ON_BN_CLICKED(IDC_CPS_BTN_COPY_IMPORT, OnCpsBtnCopyImport)
	ON_BN_CLICKED(IDC_CPS_BTN_GROUP_COPY_IMPORT, OnCpsBtnGroupCopyImport)
	ON_COMMAND(ID_RBTN_ITEM_MOVE_OTHER, OnRbtnItemMoveOther)
	//}}AFX_MSG_MAP
	ON_MESSAGE(WM_USER_MTRX_SELCHANGED, OnUserMtrxSelchanged)
	ON_MESSAGE(WM_USER_MULTICTRL_CHANGED, OnUserMultictrlChanged)
// 06.10.31 Fukushiro M. 1_xZkqqHx_iNhDjCmHiJmB_xHqqkZx_ ()
	ON_COMMAND(ID_GRAPHICS_CHIP_PASTE, OnGraphicsChipPaste)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCDlgChipSelect _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

